Description

I believe it’s quite possible to allow users to enable sidebar on pages which do not have one!..

For example, I would like to add a very short tutorial on adding issues for Orangutan project on the sidebar of new issue page. But

the new issue page does not have a sidebar...

I believe if I define RHTML for global content hook and write there content_for :sidebar the sidebar will be enabled on every page. Of

course, it’s better to define regexps for pages the sidebar should appear on...

Related issues:

Related to Sidebar Content - Feature #2109: Sidebar for global pages, which d... Open 07 Oct 2012

Associated revisions

Revision 12 - 16 Mar 2012 09:42 - Andriy Lesyuk

Started #1773

Revision 13 - 24 Mar 2012 14:37 - Andriy Lesyuk

Finished UI for sidebar visibility configuration (#1773)

Revision 17 - 03 Oct 2012 22:48 - Andriy Lesyuk

Implementation for #1773

Revision 18 - 04 Oct 2012 20:58 - Andriy Lesyuk

Finished #1773

History

#1 - 23 Aug 2011 18:49 - Andriy Lesyuk

- Target version set to 0.0.3

#2 - 12 Sep 2011 21:36 - Andriy Lesyuk

- Target version changed from 0.0.3 to 0.1.0

#3 - 09 Feb 2012 12:24 - Alexander van der Mey

Hi Andriy,

First of all - thank you for your work on the various redmine plugins that you have listed here. I am in the proces of incooperating several of them into

my own redmine tracker. I was wondering if you had an ETA on this feature? I would personally like a sidebar on the News page, but would prefer not

to do manual hackish attempts of my own directly in the .rb code. Thanks in advance!

#4 - 03 Oct 2012 22:46 - Andriy Lesyuk

24 Apr 2024 1/2

projects.andriylesyuk.com/projects/orangutan


- Status changed from Open to In Progress

- % Done changed from 0 to 80

P.S. Alexander, I hope this compensates for the delay with #2027... 

#5 - 04 Oct 2012 21:44 - Andriy Lesyuk

- Due date set to 04 Oct 2012

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
